# -*- coding: utf-8 -*-
import pymel.core as pm
from mtoa.ui.ae.shaderTemplate import ShaderAETemplate

class AEaiBarndoorTemplate(ShaderAETemplate):
    def setup(self):
        self.addSwatch()
        
        self.beginScrollLayout()
        
        self.beginLayout('Barndoor属性', collapse=False)
        self.addControl('barndoorTopLeft', label='左上角')
        self.addControl('barndoorTopRight', label='右上角')
        self.addControl('barndoorTopEdge', label='顶部边缘')        
        self.addSeparator()
        self.addControl('barndoorBottomLeft', label='左下方')
        self.addControl('barndoorBottomRight', label='右下方')
        self.addControl('barndoorBottomEdge', label='底部边缘')
        self.addSeparator()
        self.addControl('barndoorLeftTop', label='左上方')
        self.addControl('barndoorLeftBottom', label='左下方')
        self.addControl('barndoorLeftEdge', label='左边缘')
        self.addSeparator()
        self.addControl('barndoorRightTop', label='右上方')
        self.addControl('barndoorRightBottom', label='右下方')
        self.addControl('barndoorRightEdge', label='右边缘')
        self.endLayout()
        
        pm.mel.AEdependNodeTemplate(self.nodeName)
        
        self.addExtraControls()
        self.endScrollLayout()

